/*
This demonstration script shows how to write a database driven 
AutoHotkey app. The Picture/Sound filenames located in the 
PictureSound.ini data file configure the GUI windows and the
associated action.

After the user clicks on an image, AutoHotkey looks upthe name 
of the sound filein an INI file and plays it. The script uses the image 
file name as the II fileKey. After loading a series of images, the script 
plays a different sound for each image. Using the INI file as a lookup 
table saved me from writing a different subroutine (or at least If condition) 
for each Picture control in the GUI window.



The script uses a special built-in function calledCtrlEvent()which replaces 
the gLabel whenever no subroutine by the same name exists.

To switch to the MouseGetPos command, remove the semicolon 
in front of that command line and insert it before the GuiControlGet 
command line. (V2.0 Tip: The GuiControlGet command disappears 
in V2.0 in favor of the ControlGetText function.)

*/

Loop, Read, PictureSounds.ini
{
    If A_Index = 1
       Continue
    picture_array := StrSplit(A_LoopReadLine, "=") 
    Gui, Add, Picture, x50 w50 h-1 gCtrlEvent, % picture_array[1]     
}

Gui, show, w150 

CtrlEvent(CtrlHwnd, GuiEvent, EventInfo, ErrLevel:="")
{
  GuiControlGet, OutputVar , , %CtrlHwnd%,
  ; MouseGetPos, , , , OutputVar            ; Alternative command
  IniRead, Sound, PictureSounds.ini, Sounds, %OutputVar%
  SoundPlay, %Sound%
}